# InventoryGUIShared

class InventoryGUIShared<T : ForInventory>(inventoryGUIData: InventoryGUIData<T>) : InventoryGUI<T>
Content copied to clipboard

## Functions

equals
Link copied to clipboard
open operator override fun equals(other: Any?): Boolean
Content copied to clipboard
getPage
Link copied to clipboard

Searches for a page associated to the given page index.

override fun getPage(page: Int?): InventoryGUIPage<T>?
Content copied to clipboard
hashCode
Link copied to clipboard
open override fun hashCode(): Int
Content copied to clipboard
isThisInv
Link copied to clipboard
open override fun isThisInv(inventory: Inventory): Boolean
Content copied to clipboard
loadPage
Link copied to clipboard

Loads the specified page in order to display it in the GUI.

override fun loadPage(page: InventoryGUIPage<T>)
Content copied to clipboard
register
Link copied to clipboard

Registers this InventoryGUI. (KSpigot will listen for actions in the inventory.)

override fun register()
Content copied to clipboard
set
Link copied to clipboard

Temporarily sets the given item at the given slots.

open operator override fun set(slot: InventorySlotCompound<T>, value: ItemStack)
Content copied to clipboard
toString
Link copied to clipboard
open override fun toString(): String
Content copied to clipboard
unregister
Link copied to clipboard

Stops KSpigot from listening to actions in this InventoryGUI anymore.

override fun unregister()
Content copied to clipboard

## Properties

currentPage
Link copied to clipboard
override val currentPage: InventoryGUIPage<T>
Content copied to clipboard
currentPageInt
Link copied to clipboard
override var currentPageInt: Int
Content copied to clipboard
data
Link copied to clipboard
override val data: InventoryGUIData<T>
Content copied to clipboard